# Glock +2 Magazine Extension and Baseplate
### 3D Printable Glock Magazine Extensions and Baseplates (fits both OEM and Menendez mags)

#### Author
WindowsTheOS/GunnyMcGunsmith

#### Version
1.0

#### Description
When building Ivanthetroll's Menendez Mags I mistakenly ordered extra power springs. Rather than order regular springs like any rational human being, I decided to design mag extensions. In the process I remixed the original Menendez baseplates to work with OEM mags as well.

#### What you'll need:

* PLA or PETG. I originally designed and did the bulk of testing in PETG due to PETG's flexibility being better for interfacing with the OEM glock mag locking tabs.
* A printer capable of printing PLA or PETG. I used the Ender 3.
* An appropriate Glock mag spring (+10%/+13% for the extension, OEM for the baseplate).
* Glock magazine body and follower of your choice (can be OEM or Menendez). If using the non-extended baseplate, an OEM or Menendez locking tab.

#### Print Settings

##### Orientation
Print on the backside of the extension/baseplate where the walls open to insert the front of the magazine. An example can be found in renders.

##### Temperature, Layer Height, and Supports
* Nozzle Temp: 240C
* Bed Temp: 80C
* No Brim
* Supports: Tree, touching bed only
* Layer height: 0.2mm
* Shells (aka perimeters): 10 inner/outer (this is probably not necessary, but I tend to go overboard on strength 
* Bed prep: Gluestick or painters tape.

##### Installation
1. Place follower on magazine spring
2. Insert magazine spring and follower into magazine body
3a. If using a standard baseplate, use the locking tab to push the spring into the mag body.
3b. If using the extended baseplate, press the spring into the mag body using your thumb. Careful, some springs are sharp.
4. Slide baseplate onto the magazine body's lip while continuing to press down the spring/locking tab.